unit frmMainUnit;

interface

uses
  Windows, SysUtils, Forms,
  Registry, Classes, Controls, StdCtrls;

type
  TfrmMain = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Label3: TLabel;
    Check: TCheckBox;
    procedure FormShow(Sender: TObject);
    procedure CheckMouseUp(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses dmMainUnit;

{$R *.dfm}


procedure TfrmMain.FormShow(Sender: TObject);
var
  Registry: TRegistry;
begin
  try
    Registry := TRegistry.Create;
    Registry.RootKey := HKEY_CURRENT_USER;
    Registry.OpenKey('SOFTWARE\tomeko\aqq_plugin', False);
    if not Registry.ValueExists('Enabled') then Check.Checked := false;
    Check.Checked := Registry.ReadBool('Enabled');
    if Check.Checked then
      Check.Tag := 1
    else
      Check.Tag := 0;
  finally
    FreeAndNil(Registry);
  end;
end;

procedure TfrmMain.CheckMouseUp(Sender: TObject);
var
  Registry: TRegistry;
begin
  try
    Registry := TRegistry.Create;
    Registry.RootKey := HKEY_CURRENT_USER;
    Registry.OpenKey('SOFTWARE\tomeko\aqq_plugin', true);
    Registry.WriteBool('Enabled', Check.Checked);
    if Check.Checked then
      Check.Tag := 1
    else
      Check.Tag := 0;
  finally
    FreeAndNil(Registry);
  end;

end;


end.
